# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Boolean Class Reference

Represents an primitive Null value. More...

`#include <value.h>`

Inheritance diagram for KJS::Boolean:

[legend]
Collaboration diagram for KJS::Boolean:

[legend]
List of all members.

## Public Member Functions

| Boolean (bool b=false)
| Boolean (const Boolean &v)
Boolean & | operator= (const Boolean &v)
bool | value () const

## Static Public Member Functions

Boolean | dynamicCast (const Value &v)
| Converts a Value into an Boolean.

## Friends

class | BooleanImp

## Detailed Description

Represents an primitive Null value.

Definition at line 337 of file value.h.

## Member Function Documentation

Boolean Boolean::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Boolean.

If the value's type is not BooleanType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type BooleanType, you should check the isNull() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to a Boolean

Definition at line 408 of file value.cpp.

References KJS::Value::imp(), KJS::Value::isNull(), and KJS::Value::type().

The documentation for this class was generated from the following files:

- value.h
- value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:40 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001